iT邦幫忙

0

mac, windows 安裝 scrapy 失敗解法摘要

今天安裝 scrapy 時,在兩個系統下都出現長篇紅字錯誤,在此做個解決紀錄。兩個系統者皆在終端跟 pycharm 上完成確認。

Windows

官方不建議使用 pip 安裝。對於安裝都是盲裝 (嘗試直接 pip install / brew install) 的貓咪來說,無疑是個陷阱。安裝完 Anaconda 增肥你的電腦就能解決這個問題。

macOS

版本不足。官方在安裝指南上也有說明這個問題,但是安裝指南上的版本要求是錯誤的。

  • 指南要求 Python 3.6+
  • 我是 Python 3.8.2 安裝失敗
  • 有網友表示 Python 3.8.5 安裝成功
  • Python 3.9.1 安裝成功

順便一提 Pycharm 舊版本無法使用新版本的 Python,建立專案時不會跳出電腦內新版本的 Python,記得先使用 JetBrains Toolbox 更新完 Pycharm 才抓得到。


尚未有邦友留言

立即登入留言